Package org.apache.sysds.runtime.io

## Class ReaderTextCellParallel.CellBuffer

- java.lang.Object
- - org.apache.sysds.runtime.io.ReaderTextCellParallel.CellBuffer

Enclosing class:
  ReaderTextCellParallel

    public static class ReaderTextCellParallel.CellBuffer
    extends Object

Useful class for buffering unordered cells before locking target onces and appending all buffered cells.

### Field Summary

Fields
`static int` `CAPACITY`

### Constructor Summary

Constructors
`CellBuffer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCell​(int rlen, int clen, double val)`
`void` `flushCellBufferToMatrixBlock​(MatrixBlock dest)`
`void` `reset()`
`int` `size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CAPACITY

    public static final int CAPACITY

See Also:
  Constant Field Values

### Constructor Detail

#### CellBuffer

    public CellBuffer()

### Method Detail

#### addCell

    public void addCell​(int rlen,
                        int clen,
                        double val)

#### flushCellBufferToMatrixBlock

    public void flushCellBufferToMatrixBlock​(MatrixBlock dest)

#### size

    public int size()

#### reset

    public void reset()